//-------------------------------------------------------------------------*
//工 程 名:InCapture                                                       *
//硬件接线:                                                                *
//    (1)PTE.2,即定时器1通道0接开关,(见"TPMCH.c"文件)                      *
//程序描述:输入捕捉中断方式,捕捉高低电平                                   *
//说    明:本例是课后习题7.6参考程序                                       *
//----------------苏州大学飞思卡尔嵌入式系统实验室2009年-------------------*

#include "Includes.h"

//在此添加全局变量定义

//主函数
void main(void)
{
    //1 关总中断
    DisableInterrupts();          //禁止总中断
    //2 芯片初始化
    MCUInit();          
    //3 模块初始化
    SCIInit(1,SYSTEM_CLOCK,9600);//(1)串口1初始化
  	TPMChInit(1,0);               //(2) 定时器1通道0初始化
    //4 开放中断
    EnableTPM1ChInInt(0);         //(1) 允许定时器1通道0的输入捕捉中断
    EnableInterrupts();           //(2) 开放总中断
    //5 主循环
    while (1)
    {
    }
}
